services:
  customer.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { contributionUpToDate: ~, subscribedToNewsletter: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  customer.boolean_filter:
    parent: 'api_platform.doctrine.orm.boolean_filter'
    arguments: [ { contributionUpToDate: ~, subscribedToNewsletter: ~ } ]
    tags: [ 'api_platform.filter' ]

  customer.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { agentCommercialId: 'exact', professionalChamber.name: 'partial' } ]
    tags: [ 'api_platform.filter' ]